*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    font-family: "Montserrat", sans-serif;
}
/* ********** Header ********** */
.barra{
    width: 100%;
    text-align: center;
    padding: 15px 0;
}
.barra img{
    width: 400px;
}
header{
    background-size: cover;
    background-position: top;
}
.header-content{
    display: flex;
    align-items: center;
    max-width: 1200px;
    margin: 0 auto;
    gap: 150px;

}
.principal-title h1{
    font-size: 56px;
    text-transform: uppercase;
    font-weight: 900;
    line-height: 1.1;
}
.principal-title h1 span{
    color: #3b82f6;
}
.principal-title p{
    margin-top: 30px;
}
.img-principal img{
    width: 500px;
}
/* ********** Main ********** */
/*Servicios*/
.servicios-pago{
    max-width: 650px;

    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 100px;
    flex-wrap: wrap;
    background-color: #ffffff;
    border-radius:5px 5px 0 0 ;
}
.servicio{
    padding: 30px;
}
.disney{
 border-left: 1px dotted #00000025;
 border-right: 1px dotted #00000025;
}
.max{
    border-left: 1px dotted #00000025;

   }
.servicio img{
    width: 100px;
    transition: all 0.2s ease-in-out;
}
.servicio:hover img {
    transform: scale(1.1); /* Escala la imagen al 110% */
}
/*Locations*/
.locations-container{
    padding: 50px 0;
    max-width: 1700px;
    margin: 0 auto;
    margin-top: 80px;
}
.locations {
    width: 80%;
    margin: 0 auto;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 30px;

}
.location {
    width: 300px;
    height: 235px;
    background-color: #ffffff;
    color: #333;
    padding: 25px;
    border-radius: 10px;
    box-shadow: 0 0px 15px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
    border: 1px solid #3b82f6;
}
.location:hover {
    transform: translateY(-10px);
}
.location h3 {
    color: #3b82f6;
    font-size: 1.2rem;
    margin-bottom: 0.5rem;
    text-transform: uppercase;
    font-size: 20px;
    margin-bottom: 10px;
}
.location p{
    text-transform:uppercase ;
    display: flex;
    align-items: center;
    font-size: 14px;
    gap: 5px;
    margin-top: 5px;
    justify-content: start;
}
.location p span{
    display: inline-block;
    width: 15px;
    height: 15px;
    background-image: url(assets/img/location.png);
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
}
.locations-container h2{
    text-align: center;
    font-size: 28px;
    max-width: 800px;
    margin: 0 auto;
    margin-bottom: 50px;
    text-transform: uppercase;
    line-height: 1.1;
}

/* ********** Footer ********* */
.footer__container {
    margin-top: 50px;
    width: 100%;
    background-color: #000000;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    padding: 30px 10px;
}

.footer__megaImg img {
    width: 80px;
}

.footer__social {
    margin-top: 20px;
}

.footer__social a {
    font-size: 24px;
    margin-left: 5px;
    margin-right: 5px;
    color: #ffffff;
}

.footer__social a:hover {
    opacity: 0.7;
}

.footer__atencion {
    width: 80%;
}

.footer__atencion h4 {
    font-size: 18px;
    font-weight: 500;
    margin-top: 20px;
    text-align: center;
    color: #ffffff;
}

.footer__atencion h4 a {
    font-weight: 600;
    color: #ffffff;
}

.footer__legal {
    width: 80%;
    border-top: 1px solid #ffffff;
    display: flex;
    justify-content: center;
    margin-top: 20px;
}

.footer__legal a {
    display: inline-block;
    margin: 10px 15px;
    color: #ffffff;
    cursor: pointer;
    text-decoration: none;
    margin: 10px 20px;
}

.footer__legal a:hover {
    text-decoration: underline;
}

@media screen and (max-width: 1024px){
    .header-content{
        flex-direction: column;
        gap: 20px;
        padding: 50px 20px;
        text-align: center;
    }
    .servicios-pago{
        margin: 0 auto;
    }
    main{
        margin-top: -80px;
    }
    .footer__legal {
        flex-wrap: wrap;
    }

    .btn__f button {
        margin-left: 0;
        margin-top: 10px;
    }

    .btn__f input {
        width: 100%;
    }
}
@media screen and (max-width: 500px){
.img-principal img{
    width: 100%;
}
.principal-title h1{
    font-size: 32px;
}
.barra img{
    width: 100%;
    padding: 20px;
}
.locations-container{
    padding: 20px;
    margin-top: 20px;
}
.locations-container h2{
    font-size: 20px;
}
.footer__legal {
    padding-top: 15px;
}

.footer__legal a {
    margin-top: 0;
}

.footer_atencion h4 {
    font-size: 14px;
}
}
@media screen and (min-width:0px){
    header{
        background-image: url(assets/img/baner-principal-movil.jpg);
        height: 250px;
    }
}
@media screen and (min-width:370px){
    header{
        height: 300px;
    }
}
@media screen and (min-width:450px){
    header{
        height: 350px;
    }
}
@media screen and (min-width:520px){
    header{
        height: 400px;
    }
}
@media screen and (min-width:600px){
    header{
        height: 450px;
    }
}
@media screen and (min-width:670px){
    header{
        height: 500px;
    }
}
@media screen and (min-width:768px) {
    header{
        background-image:url(assets/img/baner-principal.jpg); ;
        height: 265px;
    }
}
@media screen and (min-width:924px) {
    header{
        height: 365px;
    }
}
@media screen and (min-width:1250px) {
    header{
        height: 465px;
    }
}
@media screen and (min-width:1600px) {
    header{
        height: 660px;
    }
}